Bug 169178 - [PATCH] irc/gseen.mod: Fix build failure after eggdrop update
Summary: [PATCH] irc/gseen.mod: Fix build failure after eggdrop update
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Chris Rees
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-17 16:10 UTC by Bryan Drewery
Modified: 2012-07-10 20:40 UTC (History)
0 users

See Also:


Attachments
patch-gseen-eggdrop1621.txt (479 bytes, patch)
2012-06-17 16:10 UTC, Bryan Drewery
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bryan Drewery 2012-06-17 16:10:13 UTC
	Does not build due to build dependency irc/eggdrop being updated to 1.6.21

How-To-Repeat: 	make -C /usr/ports/irc/gseen.mod
Comment 1 Edwin Groothuis freebsd_committer 2012-06-17 16:10:25 UTC
Maintainer of irc/gseen.mod,

Please note that PR ports/169178 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/169178

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2012-06-17 16:10:27 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Chris Rees freebsd_committer 2012-06-21 21:06:34 UTC
Responsible Changed
From-To: freebsd-ports-bugs->crees

I'll take it.
Comment 4 Chris Rees 2012-06-21 21:09:36 UTC
Testing, but I think that this is less fragile.

http://www.bayofrum.net/~crees/patches/gseen.diff

Chris
Comment 5 Bryan Drewery 2012-06-21 21:45:20 UTC
Chris,

Your patch is even better. For some reason I didn't think that method
would work, but I can't recall why I thought that now.

Bryan
Comment 6 dfilter service freebsd_committer 2012-07-10 20:36:51 UTC
crees       2012-07-10 19:36:41 UTC

  FreeBSD ports repository

  Modified files:
    irc/gseen.mod        Makefile 
  Log:
  Fix build; don't hardcode eggdrop version
  
  PR:             ports/169178
  Submitted by:   Bryan Drewery
  Approved by:    maintainer timeout (gerrit.beine@gmx.de, 3w)
  
  Revision  Changes    Path
  1.12      +2 -1      ports/irc/gseen.mod/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Chris Rees freebsd_committer 2012-07-10 20:37:00 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!